LxCenter HyperVM & Kloxo Support

Forum



Members   Search      Help    Register    Login    Home
Home » Archive » HyperVM Bug Reports » lxlighttpd-1.4.18-5 breaks hypervm service in centos5.1
lxlighttpd-1.4.18-5 breaks hypervm service in centos5.1 [message #20097] Mon, 28 January 2008 10:24 Go to next message
corps is currently offline corps  Philippines
Messages: 4
Registered: January 2008
Member
Updating to the latest lxlighttpd package, which is currently 1.4.18-5, in centos5.1 breaks the hypervm service. Starting hypervm dies with this error:

Starting hypervm: mysqld (pid 5065) is running...
2008-01-28 14:42:56: (plugin.c.165) dlopen() failed for: /usr/local/lxlabs/ext/lxlighttpd/lib/mod_fastcgi.so /usr/local/lxlabs/ext/lxlighttpd/lib/mod_fastcgi.so: undefined symbol: LI_ltostr
2008-01-28 14:42:56: (server.c.593) loading plugins finally failed

It works fine if reverted back to 1.4.13-5.


[root@localhost packages]# rpm -q lxphp lxlighttpd
lxphp-5.2.1-190
lxlighttpd-1.4.13-5

[root@localhost packages]# service hypervm restart
/usr/local/lxlabs/hypervm/httpdocs
Stopping hypervm: ../bin/common/function.sh: line 28: 10610 Terminated              $__path_php_path $__path_server_path $string >/dev/null 2>&1
Waiting for the process to die.....
Stopped hypervm

Starting hypervm: mysqld (pid 5065) is running...
Started hypervm

[root@localhost packages]# yum update
Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
Reading repository metadata in from local files
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package lxlighttpd.i386 0:1.4.18-5 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
 lxlighttpd              i386       1.4.18-5         lxlabsupdate      244 k

Transaction Summary
=============================================================================
Install      0 Package(s)
Update       1 Package(s)
Remove       0 Package(s)

Total download size: 244 k
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating  : lxlighttpd                   ######################### [1/2]
  Cleanup   : lxlighttpd                   ######################### [2/2]

Updated: lxlighttpd.i386 0:1.4.18-5
Complete!

[root@localhost packages]# service hypervm restart
/usr/local/lxlabs/hypervm/httpdocs
Stopping hypervm: ../bin/common/function.sh: line 28: 10771 Terminated              $__path_php_path $__path_server_path $string >/dev/null 2>&1
Waiting for the process to die.....
Stopped hypervm

Starting hypervm: mysqld (pid 5065) is running...
2008-01-28 14:42:56: (plugin.c.165) dlopen() failed for: /usr/local/lxlabs/ext/lxlighttpd/lib/mod_fastcgi.so /usr/local/lxlabs/ext/lxlighttpd/lib/mod_fastcgi.so: undefined symbol: LI_ltostr
2008-01-28 14:42:56: (server.c.593) loading plugins finally failed
Started hypervm

[root@localhost packages]# pwd
/var/cache/yum/lxlabsupdate/packages

[root@localhost packages]# ll lxlighttpd*
-rw-r--r-- 1 root root 241368 Jan 10 23:29 lxlighttpd-1.4.13-5.i386.rpm
-rw-r--r-- 1 root root 249998 Jan 25 15:34 lxlighttpd-1.4.18-5.i386.rpm

[root@localhost packages]# rpm -Uvh --oldpackage lxlighttpd-1.4.13-5.i386.rpm
Preparing...                ########################################### [100%]
   1:lxlighttpd             ########################################### [100%]

[root@localhost packages]# service hypervm restart
/usr/local/lxlabs/hypervm/httpdocs
Stopping hypervm: ../bin/common/function.sh: line 28: 10922 Terminated              $__path_php_path $__path_server_path $string >/dev/null 2>&1
Waiting for the process to die.....
Stopped hypervm

Starting hypervm: mysqld (pid 5065) is running...
Started hypervm

[root@localhost packages]#   
Re: lxlighttpd-1.4.18-5 breaks hypervm service in centos5.1 [message #20100 is a reply to message #20097] Mon, 28 January 2008 10:28 Go to previous messageGo to next message
Lxhelp
Messages: 23691
Registered: July 2006
The Champion
Are you running the latest hyperVM. This was an old bug that was fixed some time back. Please update hypervm to the latest version, then update lxlighttpd and then you can restart hypervm and it should work.

Thanks.


On Mon, Jan 28, 2008 at 03:24:10PM -0000, sherwin wrote:
>
>
> Updating to the latest lxlighttpd package, which is currently 1.4.18-5, in centos5.1 breaks the hypervm service. Starting hypervm dies with this error:
>
Re: lxlighttpd-1.4.18-5 breaks hypervm service in centos5.1 [message #20147 is a reply to message #20100] Mon, 28 January 2008 14:46 Go to previous messageGo to next message
corps is currently offline corps  Philippines
Messages: 4
Registered: January 2008
Member
Quote:


Are you running the latest hyperVM. This was an old bug that was fixed some time back. Please update hypervm to the latest version, then update lxlighttpd and then you can restart hypervm and it should work.


That was quick!

I thought I was running the latest hypervm because I just installed it last week but I discovered that this is not the case when I tried to update it from the hypervm web-based UI. Thanks for pointing that out. Smile

I just have a little problem. I encountered kernel panic while the update is being run in the background. It was interrupted while running

/usr/local/lxlabs/ext/php/php ../bin/common/tmpupdatecleanup.php --type=master


and downloading centos-5-i386-hostinabox52.tar.gz. The download didn't finish and I can't redo the update since the UI thinks that hypervm has already been updated. Is there anything that I should do before updating lxlighttpd?

TIA
Re: lxlighttpd-1.4.18-5 breaks hypervm service in centos5.1 [message #20153 is a reply to message #20147] Mon, 28 January 2008 20:56 Go to previous messageGo to next message
Lxhelp
Messages: 23691
Registered: July 2006
The Champion
Quote:


>
> /usr/local/lxlabs/ext/php/php ../bin/common/tmpupdatecleanup.php --type=master
>
>
> and downloading centos-5-i386-hostinabox52.tar.gz. The download didn't finish and I can't redo the update since the UI thinks that hypervm has already been updated. Is there anything that I should do before updating lxlighttpd?
>
> TIA



You can delete the ostemplate, centos-5-i386-hostinabox52.tar.gz and then run the /script/upcp again.

Thanks.


Re: lxlighttpd-1.4.18-5 breaks hypervm service in centos5.1 [message #20160 is a reply to message #20153] Mon, 28 January 2008 21:10 Go to previous messageGo to next message
Lxhelp
Messages: 23691
Registered: July 2006
The Champion
Hypervm doesn't have /script/upcp

Just delete the ostemplate and then run this again.

 

 cd /usr/local/lxlabs/hypervm/httpdocs/

 lphp.exe ../bin/update.php
 


Thanks.



On Tue, Jan 29, 2008 at 07:32:00AM +0530, Lxhelp wrote:
> [quote]
> >
> > /usr/local/lxlabs/ext/php/php ../bin/common/tmpupdatecleanup.php --type=master
> >
> >
Re: lxlighttpd-1.4.18-5 breaks hypervm service in centos5.1 [message #20214 is a reply to message #20160] Tue, 29 January 2008 12:42 Go to previous messageGo to next message
corps is currently offline corps  Philippines
Messages: 4
Registered: January 2008
Member
Lxhelp wrote on Mon, 28 January 2008 21:10

Hypervm doesn't have /script/upcp

Just delete the ostemplate and then run this again.

 

 cd /usr/local/lxlabs/hypervm/httpdocs/

 lphp.exe ../bin/update.php
 




same problem ...

[root@localhost httpdocs]# lphp.exe ../bin/update.php
update.php:update.php.pid Stale Lock file __path_program_root/pid/update.php.pid detected..., removing
Getting Version Info from the Server...
Connecting... Please wait....
hypervm is the latest version
vps backupdir exists... returning
sh: sysctl: command not found
--14:35:46--  http://download.lxlabs.com/download/vpstemplate/centos-5-i386-hostinabox52.tar.gz
Resolving download.lxlabs.com... 66.98.210.152
Connecting to download.lxlabs.com|66.98.210.152|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1033198485 (985M) [application/x-gzip]
Saving to: `centos-5-i386-hostinabox52.tar.gz'

100%[==================================================================================================>] 1,033,198,485  199K/s   in 2h 39m

17:15:14 (105 KB/s) - `centos-5-i386-hostinabox52.tar.gz' saved [1033198485/1033198485]

[root@localhost httpdocs]# yum update
Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
lxlabsupdate              100% |=========================|  951 B    00:00
lxlabslxupdate            100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
openvz-kernel-rhel5       100% |=========================|  951 B    00:00
base                      100% |=========================| 1.1 kB    00:00
addons                    100% |=========================|  951 B    00:00
openvz-utils              100% |=========================|  951 B    00:00
updates                   100% |=========================|  951 B    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================|  33 kB    00:00
################################################## 61/61
primary.xml.gz            100% |=========================| 3.4 kB    00:00
################################################## 6/6
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package lxlighttpd.i386 0:1.4.18-5 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
 lxlighttpd              i386       1.4.18-5         lxlabsupdate      244 k

Transaction Summary
=============================================================================
Install      0 Package(s)
Update       1 Package(s)
Remove       0 Package(s)

Total download size: 244 k
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating  : lxlighttpd                   ######################### [1/2]
  Cleanup   : lxlighttpd                   ######################### [2/2]

Updated: lxlighttpd.i386 0:1.4.18-5
Complete!
[root@localhost httpdocs]# service hypervm restart
/usr/local/lxlabs/hypervm/httpdocs
Stopping hypervm: Waiting for the process to die.....
Stopped hypervm

Starting hypervm: mysqld (pid 5041) is running...
2008-01-29 17:20:41: (plugin.c.165) dlopen() failed for: /usr/local/lxlabs/ext/lxlighttpd/lib/mod_fastcgi.so /usr/local/lxlabs/ext/lxlighttpd/lib/mod_fastcgi.so: undefined symbol: LI_ltostr
2008-01-29 17:20:41: (server.c.593) loading plugins finally failed
Started hypervm

[root@localhost httpdocs]#
Re: lxlighttpd-1.4.18-5 breaks hypervm service in centos5.1 [message #20215 is a reply to message #20214] Tue, 29 January 2008 12:46 Go to previous messageGo to next message
Lxhelp
Messages: 23691
Registered: July 2006
The Champion
Try this:

 
 service hypervm stop
 service hypervm start
 


Thanks.


On Tue, Jan 29, 2008 at 05:43:03PM -0000, sherwin wrote:
>
>
> Lxhelp wrote on Mon, 28 January 2008 21:10
> > Hypervm doesn't have /script/upcp
> >
> > Just delete the ostemplate and then run this again.
> >
Re: lxlighttpd-1.4.18-5 breaks hypervm service in centos5.1 [message #20216 is a reply to message #20215] Tue, 29 January 2008 12:56 Go to previous messageGo to next message
Lxhelp
Messages: 23691
Registered: July 2006
The Champion
Can you just cat the /etc/init.d/hypervm file here. It is a very trivial issue. I am not sure, why the fix doesn't work though.

Please do this:

 

 cat /etc/init.d/hypervm
 


Thanks.


On Tue, Jan 29, 2008 at 11:22:18PM +0530, Lxhelp wrote:
> Try this:
>
Re: lxlighttpd-1.4.18-5 breaks hypervm service in centos5.1 [message #20223 is a reply to message #20216] Tue, 29 January 2008 14:41 Go to previous messageGo to next message
corps is currently offline corps  Philippines
Messages: 4
Registered: January 2008
Member
I didn't change anything but when I restarted hypervm just now it suddenly work...

[root@localhost httpdocs]# /etc/init.d/hypervm restart
/usr/local/lxlabs/hypervm/httpdocs
Stopping hypervm: ../bin/common/function.sh: line 28:  6322 Terminated              $__path_php_path $__path_server_path $string >/dev/null 2>&1
Waiting for the process to die.....
Stopped hypervm

Starting hypervm: mysqld (pid 5041) is running...
Started hypervm

[root@localhost httpdocs]# netstat -nplvA inet,inet6 2>/dev/null | grep hypervm
tcp        0      0 0.0.0.0:8887                0.0.0.0:*                   LISTEN      6525/hypervm.httpd
tcp        0      0 0.0.0.0:8888                0.0.0.0:*                   LISTEN      6525/hypervm.httpd
[root@localhost httpdocs]#


If you still need the initscript of hypervm, here:

[root@localhost ~]# rpm -qf /etc/init.d/hypervm
file /etc/init.d/hypervm is not owned by any package

[root@localhost ~]# cat /etc/init.d/hypervm
#!/bin/bash
#
# Startup script for the Apache Web Server
#
# chkconfig: - 85 15
# description: Apache is a World Wide Web server.  It is used to serve \
#              HTML files and CGI.
# processname: httpd
# pidfile: /var/run/httpd.pid
# config: /etc/httpd/conf/httpd.conf

# Source function library.
#. /etc/rc.d/init.d/functions

# This will prevent initlog from swallowing up a pass-phrase prompt if
# mod_ssl needs a pass-phrase from the user.
INITLOG_ARGS=""

# Set HTTPD=/usr/sbin/httpd.worker in /etc/sysconfig/httpd to use a server
# with the thread-based "worker" MPM; BE WARNED that some modules may not
# work correctly with a thread-based MPM; notably PHP will refuse to start.

# Path to the apachectl script, server binary, and short-form for messages.
prog=`basename $0`


initstring=${prog:0:1}
if [ $initstring = 'S' ] || [ $initstring = 'K' ] ; then
        prog=${prog#???}
fi


lxdir=/usr/local/lxlabs/$prog/httpdocs
cp /usr/local/lxlabs/ext/lxlighttpd/sbin/lighttpd /usr/local/lxlabs/ext/lxlighttpd/sbin/$prog.httpd 2>/dev/null

cd $lxdir
pwd

if ! [ -f /usr/bin/lphp.exe ] ; then
        ln -sf /usr/local/lxlabs/ext/php/php /usr/bin/lphp.exe
fi

httpd=/usr/local/lxlabs/ext/lxlighttpd/sbin/$prog.httpd
OPTIONS="-f /usr/local/lxlabs/$prog/file/lighttpd.conf"


RETVAL=0
__var_server_name=$prog.php
__var_server_exe=$prog.exe
__var_wrapper_name=$prog-wrapper.sh
__var_slave_db=/usr/local/lxlabs/$prog/etc/conf/slave-db.db

# The semantics of these two functions differ from the way apachectl does
# things -- attempting to start while running is a failure, and shutdown
# when not running is also a failure.  So we just do it the way init scripts
# are expected to behave here.
start() {
        echo -n $"Starting $prog: "
                cd $lxdir

                if ! lphp.exe ../bin/common/misc/pgrep.php $__var_wrapper_name ; then
                        sh ../sbin/$__var_wrapper_name &
                fi

                if ! [ -f $__var_slave_db ] ; then
                        if ! /etc/init.d/mysqld status ; then
                                /etc/init.d/mysqld start
                        fi
                        sleep 1
                fi

                (cd /usr/local/lxlabs/$prog/httpdocs ; lphp.exe ../bin/common/misc/fixlighty.php "$1" )
                $httpd $OPTIONS &
                (cd /usr/local/lxlabs/$prog/httpdocs ; lphp.exe ../bin/execatinit.php)

                echo "Started $prog"
        RETVAL=$?
        echo
        [ $RETVAL = 0 ] && touch /var/lock/subsys/lxhttpd
        return $RETVAL
}
startdefaultport () {
        start --default-port=true
}

lxstart () {
                (cd /usr/local/lxlabs/$prog/httpdocs ; lphp.exe ../bin/common/misc/fixlighty.php )
                $httpd $OPTIONS &
}

backendrestart () {
        lphp.exe ../bin/common/misc/killproc.php $__var_server_name 2>/dev/null
        lphp.exe ../bin/common/misc/killproc.php $__var_server_exe 2>/dev/null
        lphp.exe ../bin/common/misc/killproc.php $__var_wrapper_name 2>/dev/null
        while : ; do
                echo "Waiting for the process to die....."
                        if ! lphp.exe ../bin/common/misc/pgrep.php $__var_wrapper_name ; then
                                break;
                        fi
                sleep 1
        done
        sh ../sbin/$__var_wrapper_name &
}

mystatus () {

        local base=${1##*/}
        if lphp.exe ../bin/common/misc/pgrep.php $base >/dev/null 2>&1; then
                echo Process $base is running
        fi
}

stop() {
        echo -n $"Stopping $prog: "
        lphp.exe ../bin/common/misc/killproc.php $httpd
        lphp.exe ../bin/common/misc/killproc.php $__var_server_name 2>/dev/null
        lphp.exe ../bin/common/misc/killproc.php $__var_server_exe 2>/dev/null
        lphp.exe ../bin/common/misc/killproc.php $__var_wrapper_name 2>/dev/null
        lphp.exe ../bin/common/misc/killproc.php lxportmonitor.php 2>/dev/null
        lphp.exe ../bin/common/misc/killproc.php lxhttpd 2>/dev/null

        while : ; do
                echo "Waiting for the process to die....."
                        if ! lphp.exe ../bin/common/misc/pgrep.php $__var_wrapper_name ; then
                                break;
                        fi
                sleep 1
        done

        RETVAL=$?
        echo "Stopped $prog"
        echo
        [ $RETVAL = 0 ] && rm -f /var/lock/subsys/lxhttpd /var/run/lxhttpd.pid
}

lxstop() {
        echo -n $"Stopping $prog: "
        lphp.exe ../bin/common/misc/killproc.php $__var_server_name 2>/dev/null
        lphp.exe ../bin/common/misc/killproc.php $__var_server_exe 2>/dev/null
        lphp.exe ../bin/common/misc/killproc.php lxhttpd 2>/dev/null
        lphp.exe ../bin/common/misc/killproc.php lxphp 2>/dev/null
#       lphp.exe ../bin/common/misc/killproc.php $httpd
        RETVAL=$?
        echo
        [ $RETVAL = 0 ] && rm -f /var/lock/subsys/lxhttpd /var/run/lxhttpd.pid
}


# See how we were called.
case "$1" in
  start)
        start
        ;;
  stop)
        stop
        ;;
  status)
        mystatus $httpd
                mystatus $__var_server_exe
                mystatus $__var_server_name
        RETVAL=$?
        ;;
  restart)
        stop
        start
        ;;

startdefaultport)
        startdefaultport
        ;;

restartdefaultport)
        stop
        startdefaultport
        ;;

backendrestart)
        backendrestart
        ;;

 lxrestart)
        lxstop
        lxstart
#       start
        ;;

  condrestart)
        if [ -f /var/run/lxhttpd.pid ] ; then
                stop
                start
        fi
        ;;
  reload)
        reload
        ;;
  graceful|help|configtest|fullstatus)
        $apachectl $@
        RETVAL=$?
        ;;
  *)
        echo $"Usage: $prog {start|stop|restart|condrestart|reload|status|fullstatus|graceful|help|configtest}"
        exit 1
esac

exit $RETVAL
Re: lxlighttpd-1.4.18-5 breaks hypervm service in centos5.1 [message #20226 is a reply to message #20223] Tue, 29 January 2008 14:47 Go to previous messageGo to next message
Lxhelp
Messages: 23691
Registered: July 2006
The Champion

Yes. It was a bug, where it would work only after the second restart. This has been fixed.

Thanks.
Re: lxlighttpd-1.4.18-5 breaks hypervm service in centos5.1 [message #68699 is a reply to message #20226] Tue, 30 June 2009 19:23 Go to previous messageGo to next message
HostRail is currently offline HostRail  United States
Messages: 5
Registered: September 2008
Location: St Paul
Member
Update for 2.0.7302
Current Version: 2.0.7302
Latest Version: 2.0.7302

I have a similar problem:

# /script/upcp
Getting Version Info from the Server...
Connecting... Please wait....
hypervm is the latest version
Executing UpdateCleanup. This will take a long time. Please be patient
License Successfully updated
vps backupdir exists... returning
../bin/common/function.sh: line 28: 27338 Terminated $__path_php_path $__path_server_path $string > /dev/null 2>&1

Re: lxlighttpd-1.4.18-5 breaks hypervm service in centos5.1 [message #68705 is a reply to message #68699] Wed, 01 July 2009 00:46 Go to previous messageGo to next message
arthurthornton is currently offline arthurthornton  United States
Messages: 2120
Registered: August 2007
Location: Virginia
Grandmaster
LxCenter Staff

That is not an error. That is simply hypervm restarting itself.

Re: lxlighttpd-1.4.18-5 breaks hypervm service in centos5.1 [message #68707 is a reply to message #68705] Wed, 01 July 2009 00:51 Go to previous messageGo to next message
HostRail is currently offline HostRail  United States
Messages: 5
Registered: September 2008
Location: St Paul
Member
Thanks for the reply. I just realized the owner of lxlabs has died! Sad

I'm so sorry. I'm kind of stuck with a slave hypervm server that will not upgrade to the latest version. And because of that it wont add to the new master.

Where can I go for help while now?
Re: lxlighttpd-1.4.18-5 breaks hypervm service in centos5.1 [message #68709 is a reply to message #68707] Wed, 01 July 2009 01:10 Go to previous messageGo to next message
arthurthornton is currently offline arthurthornton  United States
Messages: 2120
Registered: August 2007
Location: Virginia
Grandmaster
LxCenter Staff

It should upgrade. Try searching the forums for the raw upgrade method and that should upgrade your server

Re: lxlighttpd-1.4.18-5 breaks hypervm service in centos5.1 [message #68710 is a reply to message #68709] Wed, 01 July 2009 01:42 Go to previous messageGo to next message
HostRail is currently offline HostRail  United States
Messages: 5
Registered: September 2008
Location: St Paul
Member
How can I check the hypervm version from the cli?
Re: lxlighttpd-1.4.18-5 breaks hypervm service in centos5.1 [message #68711 is a reply to message #68710] Wed, 01 July 2009 01:50 Go to previous messageGo to next message
arthurthornton is currently offline arthurthornton  United States
Messages: 2120
Registered: August 2007
Location: Virginia
Grandmaster
LxCenter Staff

/script/version


Re: lxlighttpd-1.4.18-5 breaks hypervm service in centos5.1 [message #68713 is a reply to message #20097] Wed, 01 July 2009 02:47 Go to previous messageGo to next message
HostRail is currently offline HostRail  United States
Messages: 5
Registered: September 2008
Location: St Paul
Member
Ok I get 2.0.7302.

If I were to convert this slave to a master would that force an upgrade?
Re: lxlighttpd-1.4.18-5 breaks hypervm service in centos5.1 [message #68752 is a reply to message #68713] Sat, 04 July 2009 08:26 Go to previous message
LxCenter_Danny is currently offline LxCenter_Danny  Netherlands
Messages: 2068
Registered: July 2007
Location: Netherlands
Grandmaster
LxCenter Core Team Member
LxCenter Representative

Use the raw command on the slave for upgrading the version.
search the forum for it.

No need for slave to master migrates.




LxCenter - System Operations
Previous Topic:Used Ram reporting error
Next Topic:Install problem!
Goto Forum:
  


Current Time: Sat May 18 23:51:39 EDT 2013

Total time taken to generate the page: 0.01374 seconds
.:: Contact :: Home :: Privacy ::.

Click here to lend your support to: LxCenter and make a donation at www.pledgie.com !

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software